[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#635251: any news on multi-arch for libpciaccess?

On Mon, Aug 29, 2011 at 05:48:44PM +1000, Christopher James Halse Rogers wrote:
> The -dev package shouldn't be marked as multiarch; the i386 package is
> not parallel installable with the amd64 package as they both
> ship /usr/include.  In general, my understanding is that -dev packages
> should not be multiarched (yet).

It is ok to incude same files in multiarch coinstallable packages, as long as
they are identical on all archictectures. Think /usr/share/doc/libpciaccess0/copyright
for example. Hence all -dev packages where headers are same on all architectures
are safe for multiarch.


Reply to: